## ros-indigo-jsk-recognition-msgs 1.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_recognition_msgs)
find_package(catkin REQUIRED
  std_msgs sensor_msgs geometry_msgs message_generation pcl_msgs jsk_footstep_msgs)
add_message_files(
  FILES
  Accuracy.msg
  BoundingBoxArray.msg
  BoundingBoxMovement.msg
  BoundingBox.msg
  BoundingBoxArrayWithCameraInfo.msg
  Circle2DArray.msg
  Circle2D.msg
  ClassificationResult.msg
  ClusterPointIndices.msg
  ColorHistogramArray.msg
  ColorHistogram.msg
  DepthCalibrationParameter.msg
  DepthErrorResult.msg
  HeightmapConfig.msg
  Histogram.msg
  HistogramWithRangeBin.msg
  HistogramWithRange.msg
  HistogramWithRangeArray.msg
  ICPResult.msg
  ImageDifferenceValue.msg
  Int32Stamped.msg
  Label.msg
  LabelArray.msg
  LineArray.msg
  Line.msg
  ModelCoefficientsArray.msg
  Object.msg
  ObjectArray.msg
  ParallelEdgeArray.msg
  ParallelEdge.msg
  PlotData.msg
  PointsArray.msg
  PolygonArray.msg
  PosedCameraInfo.msg
  RectArray.msg
  Rect.msg
  RotatedRect.msg
  RotatedRectStamped.msg
  SimpleHandle.msg
  SimpleOccupancyGridArray.msg
  SimpleOccupancyGrid.msg
  SlicedPointCloud.msg
  SnapItRequest.msg
  SparseImage.msg
  SparseOccupancyGridArray.msg
  SparseOccupancyGridCell.msg
  SparseOccupancyGridColumn.msg
  SparseOccupancyGrid.msg
  TimeRange.msg
  TorusArray.msg
  Torus.msg
  TrackerStatus.msg
  TrackingStatus.msg
  BoolStamped.msg
  VectorArray.msg
  WeightedPoseArray.msg
  ContactSensor.msg
  ContactSensorArray.msg
  PlotDataArray.msg
  Segment.msg
  SegmentStamped.msg
  SegmentArray.msg
  PeoplePose.msg
  PeoplePoseArray.msg
  )

# TODO(wkentaro): Most of srv files are duplicated in jsk_pcl_ros,
#   and jsk_perception, so those in the packages should be removed.
add_service_files(FILES
  CallPolygon.srv
  CallSnapIt.srv
  CheckCircle.srv
  CheckCollision.srv
  EnvironmentLock.srv
  EuclideanSegment.srv
  ICPAlign.srv
  ICPAlignWithBox.srv
  NonMaximumSuppression.srv
  PolygonOnEnvironment.srv
  RobotPickupReleasePoint.srv
  SaveMesh.srv
  SetDepthCalibrationParameter.srv
  SetLabels.srv
  SetPointCloud2.srv
  SetTemplate.srv
  SnapFootstep.srv
  SwitchTopic.srv
  TowerPickUp.srv
  TowerRobotMoveCommand.srv
  TransformScreenpoint.srv
  UpdateOffset.srv
  WhiteBalancePoints.srv
  WhiteBalance.srv
  )

generate_messages(
  DEPENDENCIES
  std_msgs sensor_msgs geometry_msgs pcl_msgs jsk_footstep_msgs
)
catkin_package(
  CATKIN_DEPENDS std_msgs sensor_msgs geometry_msgs pcl_msgs jsk_footstep_msgs
)

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
install(DIRECTORY sample scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

=== debian/changelog ===
ros-indigo-jsk-recognition-msgs (1.2.7-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 14 Feb 2019 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.2.6-0trusty) trusty; urgency=high

  * Install sample and test  into SHARE_DESTINATION (#2345 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2345>)
  * jsk_pcl_ros: support lazy mode for pointcloud_screenpoint nodelet (#2277 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2277>)p
    * add 'bool no_update' to TransformScreenpoint.srv
  * Contributors: Yuki Furuta, Yuto Uchimi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.2.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.2.4-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 12 Jan 2018 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.2.3-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Nov 2017 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.2.2-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 23 Jul 2017 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.2.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.2.0-0trusty) trusty; urgency=high

  * [ADD NEW MESSAGE] Add Object.msg, ObjectArray.msg to represent object property (#2148 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2148>)
    * Message to represent object property (Object.msg/ObjectArray.msg)
  * Enhance PeoplePoseEstimation2D (#2162 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2162>
    * scripts/people_pose_array_to_pose_array.py: Visualize people 3D pose on rviz in sample
  * Contributors: Kentaro Wada, Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.1.3-0trusty) trusty; urgency=high

  * [jsk_perception] apply candidates node supports topic update (#2143 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2143>)
    * update Label msg API
    * add Label and LabelArray msg
  * Rewrite KinfuNodelet with some enhancements and new features (#2129 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2129>)
    * Save kinfu mesh model with bbox and ground frame id
    * Create polygon mesh with bbox request in kinfu
    * Create jsk_recognition_msgs/TrackingStatus.msg and use it in  Kinfue
  * [jsk_perception] PeoplePoseEstimation2D (#2115 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2115>)
    * [jsk_recogntion_msgs/PoseArray] Add score
    * [jsk_perception/people_pose_estimation_2d] Modified type of PeoplePose.msg
    * [jsk_recognition_msgs] Add people_pose msgs
  * Contributors: Kei Okada, Kentaro Wada, Shingo Kitagawa, Iori Yanokura

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.1.2-0trusty) trusty; urgency=high

  * [jsk_recognition_msgs] add segment messages. (#2047 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2047> )
  * Generate README by script (#2064 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2064> )
  * Contributors: Kentaro Wada, Masaki Murooka

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 16 Jun 2017 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.1.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 04 Mar 2017 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.1.0-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.0.4-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.0.3-0trusty) trusty; urgency=high

  * Compute box overlap and publish it (#1993 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/1993> )
    * add Accuracy.msg
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 08 Feb 2017 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.0.2-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 12 Jan 2017 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.0.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 13 Dec 2016 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (1.0.0-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 12 Dec 2016 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (0.3.29-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 30 Oct 2016 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (0.3.28-0trusty) trusty; urgency=high

  * [Major Release] Copy jsk_pcl_ros/srv and  jsk_perception/srv files to jsk_recognition_msgs (#1914 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/1914> )
  * Copy deprecated srv files to jsk_recognition_msgs
    - jsk_pcl_ros/srv -> jsk_recognition_msgs/srv
    - jsk_perception/srv -> jsk_recognition_msgs/srv
    TODO
    - 1. Migrate current code for srv files in jsk_recognition_msgs
    - 2. Remove srv files in jsk_pcl_ros and jsk_perception
  * Contributors: Kei Okada, Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 29 Oct 2016 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (0.3.27-0trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 29 Oct 2016 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (0.3.26-0trusty) trusty; urgency=high

  * Apply context to label probability (#1901 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/1901>)
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2016 00:00:00 -0000

ros-indigo-jsk-recognition-msgs (0.3.25-0trusty) trusty; urgency=high





=== debian/control ===
Source: ros-indigo-jsk-recognition-msgs
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-jsk-footstep-msgs, ros-indigo-message-generation, ros-indigo-pcl-msgs, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/jsk_recognition_msgs
Standards-Version: 3.9.2

Package: ros-indigo-jsk-recognition-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-jsk-footstep-msgs, ros-indigo-message-generation, ros-indigo-pcl-msgs, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: ROS messages for jsk_pcl_ros and jsk_perception.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jsk-recognition-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
